<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    app:cardCornerRadius="@dimen/common_radius">

    <RelativeLayout
        android:layout_width="@dimen/dialog_tip_width"
        android:layout_height="@dimen/dialog_tip_height">

        <TextView
            style="@style/CommonTextView"
            android:layout_width="match_parent"
            android:background="@color/main_color"
            android:gravity="left"
            android:paddingVertical="5dp"
            android:paddingLeft="10dp"
            android:text="@string/action_confirm" />

        <TextView
            android:id="@+id/tv_tip"
            style="@style/CommonTextView"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="40dp"
            android:text="@string/inspection_dialog_tip"
            android:textColor="@color/black"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="70dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/rl_normal"
                android:layout_width="70dp"
                android:layout_height="25dp"
                android:background="@drawable/common_btn_blue_bg"
                android:backgroundTint="@color/common_btn_green_bg_40"
                android:gravity="center">

                <ImageView
                    android:id="@+id/iv_ok"
                    android:layout_width="@dimen/common_icon_size"
                    android:layout_height="@dimen/common_icon_size"
                    android:layout_centerVertical="true"
                    android:src="@mipmap/ok_normal" />

                <TextView
                    style="@style/CommonTextView"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/common_spacing_small"
                    android:layout_toRightOf="@id/iv_ok"
                    android:text="@string/normal"
                    android:textSize="@dimen/common_text_size_small" />

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_expired"
                android:layout_width="70dp"
                android:layout_height="25dp"
                android:layout_marginLeft="@dimen/common_spacing_small"
                android:background="@drawable/common_btn_blue_bg"
                android:backgroundTint="@color/common_btn_yellow_bg_40"
                android:gravity="center">

                <ImageView
                    android:id="@+id/iv_expired"
                    android:layout_width="@dimen/common_icon_size"
                    android:layout_height="@dimen/common_icon_size"
                    android:layout_centerVertical="true"
                    android:src="@mipmap/expired_normal" />

                <TextView
                    style="@style/CommonTextView"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/common_spacing_small"
                    android:layout_toRightOf="@id/iv_expired"
                    android:text="@string/expired"
                    android:textSize="@dimen/common_text_size_small" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_damaged"
                android:layout_width="70dp"
                android:layout_height="25dp"
                android:layout_marginLeft="@dimen/common_spacing_small"
                android:background="@drawable/common_btn_blue_bg"
                android:backgroundTint="@color/common_btn_red_bg_40"
                android:gravity="center">

                <ImageView
                    android:id="@+id/iv_damaged"
                    android:layout_width="@dimen/common_icon_size"
                    android:layout_height="@dimen/common_icon_size"
                    android:layout_centerVertical="true"
                    android:src="@mipmap/damaged_normal" />

                <TextView
                    style="@style/CommonTextView"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/common_spacing_small"
                    android:layout_toRightOf="@id/iv_damaged"
                    android:text="@string/damaged"
                    android:textSize="@dimen/common_text_size_small" />
            </RelativeLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/common_spacing"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/btn_confirm"
                style="@style/CommonBtnBlue"
                android:layout_width="80dp"
                android:layout_height="25dp"
                android:backgroundTint="#E600AE00"
                android:text="@string/confirm" />

            <TextView
                android:id="@+id/btn_cancel"
                style="@style/CommonBtnBlue"
                android:layout_width="80dp"
                android:layout_height="25dp"
                android:layout_marginLeft="@dimen/common_spacing"
                android:backgroundTint="#99FF0000"
                android:text="@string/cancel" />
        </LinearLayout>
    </RelativeLayout>
</androidx.cardview.widget.CardView>